### Name: expectation-methods
### Title: Extract the Expectation and Covariance of Linear Statistics
### Aliases: expectation expectation-methods
###   expectation,IndependenceTest-method
###   expectation,ScalarIndependenceTestStatistic-method
###   expectation,MaxTypeIndependenceTestStatistic-method
###   expectation,QuadTypeIndependenceTestStatistic-method covariance
###   covariance-methods covariance,IndependenceTest-method
###   covariance,ScalarIndependenceTestStatistic-method
###   covariance,MaxTypeIndependenceTestStatistic-method
###   covariance,QuadTypeIndependenceTestStatistic-method
### Keywords: methods

### ** Examples


df <- data.frame(y = gl(3, 2), x = gl(3, 2)[sample(1:6)])

### Cochran-Mantel-Haenzel Test
ct <- cmh_test(y ~ x, data = df)
 
### the linear statistic, i.e, the contingency table
l <- statistic(ct, type = "linear")
l

### expectation
El <- expectation(ct)
El

### covariance
Vl <- covariance(ct)
Vl

### the standardized contingency table (hard way)
(l - El) / matrix(sqrt(diag(Vl)), ncol = nrow(El))

### easy way
statistic(ct, type = "standardized")




